Skip to main content
GET
/
volumes
/
{volumeId}
Get a volume
curl --request GET \
  --url https://sandbox.brimble.io/volumes/{volumeId} \
  --header 'x-brimble-key: <api-key>'
{
  "message": "Volume fetched",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "size": 123,
    "attached_sandbox_id": "<string>",
    "attached_project_id": "<string>",
    "team": "<string>",
    "volume_handle": "<string>",
    "region": {
      "id": "6a06df21cc6bef51342e199e",
      "name": "eu-west",
      "country": "France",
      "continent": "Europe",
      "enabled": true,
      "type": "sandbox"
    },
    "mount_path": "<string>",
    "last_attached_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-brimble-key
string
header
required

Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.

Path Parameters

volumeId
string
required

24-char hex id of the volume.

Pattern: ^[a-f0-9]{24}$

Response

Volume detail

message
string
required
Example:

"Volume fetched"

data
object
required
Last modified on May 31, 2026